# Interface WindowContainerContext<T>

interface WindowContainerContext<T> {
component?: ComponentType<T>;
template?: TemplateRef<T>;
}

#### Type Parameters

- T

- Defined in packages/angular/window-system/src/lib/window-context.ts:15

#####
Index

### Properties

component?
template?

##
Properties

### `Optional` component

component?: ComponentType<T>

- Defined in packages/angular/window-system/src/lib/window-context.ts:16

### `Optional` template

template?: TemplateRef<T>

- Defined in packages/angular/window-system/src/lib/window-context.ts:17